@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

html {
  scroll-behavior: smooth;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  text-decoration: none;
  list-style: none;
}

img {
  display: block;
  max-inline-size: 100%;
}

:root {
  --primary: #f58233;
  --black: #222;
  --light-grey: #e1e1e1;
}

body {
  font-family: 'Open Sans', sans-serif;
  font-size: 16px;
  background-color: #f1f1f1;
  max-width: 100%;
  color: var(--black);
}
a {
  color: inherit;
}
.nav-section {
  display: flex;
  justify-content: center;
}
.nav-container {
  background-color: rgb(0, 0, 0, 0.8);
  height: 60px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  top: 0.5em;
  width: 98%;
  z-index: 10;
  border-radius: 50px;
}
.company {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.nav-container img {
  width: 50px;
  margin-left: 1em;
}
.nav-container .btn {
  color: var(--primary);
  border: none;
  height: 30px;
  cursor: pointer;
  background-color: transparent;
  font-size: 0.8em;
  padding: 0 1em;
  margin-right: 2em;
}
.company h1 {
  font-size: 1em;
  color: #fff;
  font-weight: 900;
  margin-left: 0.5em;
}
nav {
  margin-right: 1em;
}
.nav-list {
  color: #fff;
  text-transform: uppercase;
  font-size: 0.7em;
  font-weight: 800;
  display: flex;
  flex-direction: row;
  gap: 1em;
  text-decoration: underline solid var(--primary) 5px;
  text-underline-offset: 4px;
}
.nav-list li {
  margin-right: 1em;
}
.banner-top {
  margin: 0;
}
.container {
  padding: 0.3em;
  top: -3em;
}
.banner {
  width: 100%;
  margin-top: 1.5em;
}

.description {
  margin-left: 3em;
  width: 65%;
}
.description h1 {
  font-size: 2.5em;
  font-weight: 800;
  line-height: 40px;
  text-transform: uppercase;
  margin-bottom: 0.2em;
}
.description p {
  font-size: 1.2em;
  margin-bottom: 1em;
}
.description .btn,
.intro-div .btn {
  font-weight: 700;
  color: #000;
  border: solid 0.15em var(--primary);
  padding: 0.3em 1.2em;
  cursor: pointer;
  background-color: transparent;
}
.intro-div .heading2 {
  margin-top: 1em;
}
.heading2 {
  text-transform: uppercase;
  font-weight: 800;
  font-size: 2em;
  margin-bottom: 1em;
}
.sub-heading {
  font-weight: 200;
  line-height: 1em;
  margin-top: 0.2em;
}

.sub-heading span {
  font-weight: 800;
}

.intro,
.services {
  text-align: center;
  margin: 2em 0 5em 0;
}
.intro-div {
  margin: auto;
  width: 93%;
}
.intro-text {
  margin: 0.3em 0 2em 0;
}
.intro-text span {
  font-weight: 700;
}
.headshots {
  display: flex;
  justify-content: space-between;
  /* display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto auto;
  column-gap: 0.1em;
  row-gap: 1rem;
  justify-items: center;
  margin: 2em 0 1em 0; */
}
.intro-images {
  width: 49.5%;
}
.our-work {
  display: grid;
  text-align: center;
}
.port-images {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.1rem;
}
/* .our-work h2,
.services h2 {
  background-color: var(--primary);
  padding: 0.5em 0;
  color: #fff;
} */
#headshots:target,
#footer:target {
  animation: fade 5s;
  animation-delay: 0.5s;
}
@keyframes fade {
  0% {
    background: var(--primary);
  }
}
#headshots {
  scroll-margin-top: 2.3em;
  padding: 0.3em 0.8em;
}
#footer {
  padding: 0.3em 0.8em;
}
.services {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.services h1 {
  text-transform: uppercase;
  margin: 0.5em 0 0.1em 0;
}
.service {
  width: 80%;
  margin: auto;
  margin-bottom: 3em;
  background-color: var(--light-grey);
  border-radius: 20px;
  padding-bottom: 2em;
  overflow: hidden;
  flex: 1;
}
.service-text-box {
  padding: 0 1em;
  text-align: center;
  padding-top: 1em;
}
.service .header {
  font-size: 1.5em;
}
.service-text {
  margin-bottom: 4em;
}
.service-categories {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  row-gap: 2em;
  column-gap: 1em;
}
.cat-h1 {
  font-size: 2em;
  margin-bottom: 0.25em;
}
.cat-h1 span {
  font-size: 0.5em;
  font-weight: 700;
  margin-left: 0.3em;
}
.cat-icon {
  width: 40px;
  margin-bottom: 0.7em;
}
.cat {
  border-radius: 5px;
  padding: 1em;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #b1b1b1;
}
.footer {
  background-color: var(--black);
  color: #fff;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.contact-kc-logo {
  width: 10%;
}
.footer-contact {
  margin-bottom: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 1em;
}
.footer-contact .heading {
  margin: 0.5rem 0 1rem 0;
  text-transform: uppercase;
}
.email img,
.call img {
  width: 15px;
}
.link a {
  color: #fff;
  font-style: italic;
  margin-left: 0.5rem;
}
.link {
  display: flex;
}
.full-logo {
  width: 150px;
}
.footer-list {
  display: flex;
  gap: 20px;
}
.copyright {
  font-size: 0.5rem;
  margin-top: 2rem;
  background-color: var(--primary);
  width: 100%;
  padding: 0.3rem 0;
}
.footer-socials {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.social-icon {
  width: 20px;
}

/* Media queries */
@media only screen and (min-width: 360px) {
  .service-categories {
    grid-template-columns: 1fr 1fr;
    column-gap: 0.3em;
  }
  .port-images img:nth-child(18) {
    display: none;
  }
  .headshots img:nth-child(3) {
    display: none;
  }
  .intro-div-img {
    display: none;
  }
  .banner-top {
    margin-top: -5em;
    margin-bottom: 1em;
  }
}

@media only screen and (min-width: 375px) {
  /* .comp-name {
    display: none;
  } */
  .nav-list {
    font-size: 1em;
    font-weight: 800;
  }
  .service-categories {
    grid-template-columns: 1fr 1fr;
  }
  .headshots img:nth-child(3) {
    display: none;
  }
}
/* 600 - 900px */
@media only screen and (min-width: 500px) {
  /* .comp-name {
    display: none;
  } */
  .nav-list {
    font-size: 1em;
    font-weight: 800;
  }
  .headshots img:nth-child(3) {
    display: none;
  }
}

@media only screen and (min-width: 600px) {
  .description h1 {
    font-size: 4em;
    line-height: 0.95em;
  }
  .intro-div .heading2 {
    margin-bottom: 0.5em;
  }
  .port-images img:nth-child(18) {
    display: none;
  }
}

@media only screen and (min-width: 899px) {
  .nav-list li {
    margin-right: 4em;
  }
  .intro-images {
    width: 32.8%;
  }
  .headshots img:nth-child(3) {
    display: block;
  }
  .port-images img:nth-child(18) {
    display: none;
  }
  .comp-name {
    display: block;
  }
  .banner-top {
    transform: translateY(-3em);
  }
  .container {
    transform: translateY(-7em);
  }
  .description {
    margin: auto;
    text-align: center;
  }
  .description .btn {
    display: inline-block;
    width: auto;
  }
  .description h1 {
    font-size: 5em;
    line-height: 0.95em;
  }

  .port-images {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 0.5em;
  }
  .port-images img:nth-child(2) {
    grid-column: 1 / 4;
    grid-row: 1 / 2;
  }
  .port-images img:nth-child(4) {
    grid-column: 1 / 3;
    grid-row: 2 / 4;
  }
  .port-images img:nth-child(1) {
    grid-column: 3 / 3;
    grid-row: 2 / 3;
  }
  .port-images img:nth-child(3) {
    grid-column: 3 / 4;
    grid-row: 3 / 4;
  }
  .port-images img:nth-child(5) {
    grid-column: 1 / 2;
    grid-row: 4 / 5;
  }
  .port-images img:nth-child(9) {
    grid-column: 3 / 4;
    grid-row: 4 / 5;
  }
  .port-images img:nth-child(7) {
    grid-column: 1 / 4;
    grid-row: 5 / 6;
  }
  .port-images img:nth-child(16) {
    grid-column: 1 / 4;
    grid-row: 6 / 7;
  }
  .port-images img:nth-child(11) {
    grid-column: 1 / 2;
    grid-row: 7 / 8;
  }
  .port-images img:nth-child(17) {
    grid-column: 3 / 4;
    grid-row: 7 / 8;
  }
  .port-images img:nth-child(12) {
    grid-column: 1 / 3;
    grid-row: 8 / 10;
  }
  .port-images img:nth-child(15) {
    grid-column: 3 / 4;
    grid-row: 8 / 9;
  }
  .port-images img:nth-child(21) {
    grid-column: 3 / 4;
    grid-row: 9 / 10;
  }
  .port-images img:nth-child(19) {
    grid-column: 1 / 2;
    grid-row: 10 / 11;
  }
  .port-images img:nth-child(13) {
    grid-column: 2 / 3;
    grid-row: 10 / 11;
  }
  .port-images img:nth-child(10) {
    grid-column: 3 / 4;
    grid-row: 10 / 11;
  }
  .port-images img:nth-child(18) {
    grid-column: 1 / 2;
    grid-row: 10 / 11;
    display: none;
  }
  .port-images img:nth-child(14) {
    grid-column: 1 / 4;
    grid-row: 10 / 11;
    display: none;
  }
  .port-images img:nth-child(23) {
    grid-column: 1 / 3;
    grid-row: 11 / 13;
  }
  .port-images img:nth-child(22) {
    display: none;
  }

  .service-container {
    display: flex;
    flex-direction: row;
    gap: 1em;
  }
}

@media only screen and (min-width: 1199px) {
  .banner-top {
    position: relative;
  }
  .description {
    position: absolute;
    top: 32em;
    color: #fff;
    text-align: left;
    width: 35%;
    margin-left: 3em;
  }
  .description h1 {
    font-size: 4em;
  }
  .description .btn {
    color: #fff;
  }
  .intro {
    margin-top: 0;
    border-top: solid 0.2em var(--black);
  }
  .intro-div {
    display: flex;
    flex-direction: row;
    text-align: left;
    margin-right: 0;
    margin-left: 2em;
    width: 97.3%;
  }
  .intro-div-text {
    padding-right: 3em;
  }
  .intro-div-img {
    display: block;
    width: 250px;
    align-self: center;
    margin-top: 2em;
    margin-left: 1em;
  }
  .heading2 {
    font-size: 4em;
  }
  .port-images {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    gap: 0.5em;
    grid-template-rows: auto auto;
  }
  .port-images img:nth-child(22) {
    display: block;
  }
  .port-images img:nth-child(2) {
    grid-column: 1 / 4;
    grid-row: 1 / 2;
  }
  .port-images img:nth-child(21) {
    grid-column: 4 / 7;
    grid-row: 1 / 2;
  }
  .port-images img:nth-child(4) {
    grid-column: 1 / 3;
    grid-row: 3 / 5;
  }
  .port-images img:nth-child(20) {
    grid-column: 3 / 5;
    grid-row: 3 / 5;
  }
  .port-images img:nth-child(22) {
    grid-column: 5 / 7;
    grid-row: 3 / 5;
  }
  .port-images img:nth-child(6) {
    grid-column: 5 / 7;
    /* grid-row: 2 / 3; */
  }
  .port-images img:nth-child(3) {
    grid-column: 5 / 7;
    grid-row: 9 / 10;
  }

  .port-images img:nth-child(8) {
    grid-column: 3 / 5;
    grid-row: 3 / 4;
  }
  .port-images img:nth-child(1) {
    grid-column: 1 / 5;
    grid-row: 9 / 12;
  }
  .port-images img:nth-child(5) {
    grid-column: 1 / 3;
    grid-row: 2 / 3;
  }
  .port-images img:nth-child(9) {
    grid-column: 3 / 5;
    grid-row: 2 / 3;
  }
  .port-images img:nth-child(7) {
    grid-column: 1 / 4;
    grid-row: 5 / 6;
  }
  .port-images img:nth-child(16) {
    grid-column: 4 / 7;
    grid-row: 5 / 6;
  }
  .port-images img:nth-child(11) {
    grid-column: 5 / 7;
    grid-row: 7 / 8;
  }
  .port-images img:nth-child(17) {
    grid-column: 1 / 3;
    grid-row: 7 / 8;
  }
  .port-images img:nth-child(12) {
    grid-column: 3 / 5;
    grid-row: 7 / 8;
  }
  .port-images img:nth-child(15) {
    grid-column: 1 / 4;
    grid-row: 8 / 9;
  }
  .port-images img:nth-child(23) {
    grid-column: 4 / 7;
    grid-row: 8 / 9;
  }
  .port-images img:nth-child(19) {
    grid-column: 5 / 7;
    grid-row: 11 / 12;
  }
  .port-images img:nth-child(13) {
    grid-column: 4 / 5;
    grid-row: 11 / 12;
    display: none;
  }
  .port-images img:nth-child(10) {
    grid-column: 5 / 7;
    grid-row: 10 / 11;
  }
  .port-images img:nth-child(18) {
    grid-column: 1 / 2;
    grid-row: 10 / 11;
    display: none;
  }
  .port-images img:nth-child(14) {
    grid-column: 1 / 4;
    grid-row: 10 / 11;
    display: none;
  }
  .service-container {
    width: 90%;
  }
  .service {
    display: flex;
    flex-direction: row;
    padding-bottom: 0;
  }
  .service img {
    width: 400px;
  }
  .service-categories {
    margin: auto;
    width: 70%;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto auto;
  }
  .cat .cat-icon {
    width: 40px;
  }
}

@media only screen and (min-width: 1510px) {
  .intro-div-img {
    width: 350px;
  }
  .banner-top {
    margin-top: -20em;
  }
  .description {
    position: absolute;
    top: 42em;
    color: #fff;
    text-align: left;
    width: 25%;
    margin-left: 3em;
  }
  .description h1 {
    font-size: 5em;
  }
  .port-images img:nth-child(1) {
    grid-column: 1 / 3;
    grid-row: 9 / 12;
  }
  .port-images img:nth-child(3) {
    grid-column: 3 / 5;
    grid-row: 9 / 10;
  }
  .port-images img:nth-child(10) {
    grid-column: 5 / 7;
    grid-row: 9 / 10;
  }
  .port-images img:nth-child(19) {
    grid-column: 3 / 5;
    grid-row: 11 / 12;
  }
  .port-images img:nth-child(13) {
    grid-column: 5 / 7;
    grid-row: 11 / 12;
    display: block;
  }
  .service-container {
    width: 60%;
  }
  .service-categories {
    margin: auto;
    width: 70%;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto auto;
  }
}
